package com.usoftchina.uas.office.dingtalk.manage.event;

import com.usoftchina.uas.office.dingtalk.manage.entity.DingTalkAgent;
import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * @author yingp
 * @date 2020/2/15
 */
public class DingTalkAgentEvent extends ApplicationEvent {

    private final List<DingTalkAgent> agents;

    public DingTalkAgentEvent(Object source, List<DingTalkAgent> agents) {
        super(source);
        this.agents = agents;
    }

    public List<DingTalkAgent> getAgents() {
        return agents;
    }
}
